<template>
  <div>
    <TDropdown :text="`ARC: ${config.arc}%`" :show.sync="show">
      <div class="overflow-y-auto">
        <a
          v-for="value in values"
          :key="value"
          @click="select(value)"
          class="cursor-pointer block pl-2 pr-3 py-1 text-gray-900 transition duration-150 ease-in-out hover:bg-gray-700 hover:text-white focus:outline-none focus:bg-gray-100"
          :class="{'bg-gray-300 hover:text-gray-900': config.arc === value}"
          role="menuitem"
        >
          {{value}}%
        </a>
      </div>  
  </TDropdown>
  </div>
</template>

<script>
import mixin from '@components/edit-element-text/mixin'

export default {
  mixins: [ mixin ],
  data() {
    return {
      show: false,
      values: [
        -100,
        -50,
        0,
        50,
        100
      ]
    }
  },
  methods: {
    select(value){
      this.updateElementConfig({key: 'arc', value })
    }
  }
}
</script>